Packages - Bug #3321

[openrc]: signature from "Andreas Grapentin <andreas@grapentin.org>" is unknown trust
2022-08-03 03:33 PM - Frusinabu

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

Hello.

2022-08-01 the "andreas@grapentin.org" key expired, making it impossible to properly install openrc and openrc-init.

® steps to reproduce:

# pacman -Sy archlinux-keyring parabola-keyring

# pacman-key —--populate archlinux parabola

# pacman-key -1 andreas@grapentin.org

pub rsa2048 2017-01-24 [SC] [expired: 2022-08-01]
BFA8008A8265677063B11BF47171986E4B745536

uid [ expired] Andreas Grapentin <andreas@grapentin.org>
uid [ expired] Andreas Grapentin <andreas.grapentin@hpi.uni-potsdam.de>
uid [ expired] oaken-source <oaken-sourcel@parabola.nu>

# pacman -S openrc openrc-init

warning: openrc-0.42.1-7 is up to date —-- reinstalling

warning: openrc-init-0.42.1-7 is up to date —-- reinstalling
resolving dependencies...

looking for conflicting packages...

warning: dependency cycle detected:

warning: openrc-init will be installed before its openrc dependency

Packages (2) openrc-0.42.1-7 openrc-init-0.42.1-7

Total Download Size: 0.02 MiB
Total Installed Size: 4.05 MiB
Net Upgrade Size: 0.00 MiB

Proceed with installation? [Y/n]
Retrieving packages...
openrc—-init-0.42.1-7-x86_64
(2/2) checking keys in keyring
G i i i RO O
(2/2) checking package integrity
EEEESEEEEEEEEEEEEEEEEE R R R R i i i RN OL O
error: openrc-init: signature from "Andreas Grapentin <andreas@grapentin.org>" is unknown trust
File /var/cache/pacman/pkg/openrc—-init-0.42.1-7-x86_64.pkg.tar.xz 1is corrupted (invalid or corr
upted package (PGP signature)).
Do you want to delete it? [Y/n] n
error: openrc: signature from "Andreas Grapentin <andreas@grapentin.org>" is unknown trust
File /var/cache/pacman/pkg/openrc-0.42.1-7-x86_64.pkg.tar.xz is corrupted (invalid or corrupted
package (PGP signature)).
Do you want to delete it? [Y/n] n
error: failed to commit transaction (invalid or corrupted package (PGP signature))
Errors occurred, no packages were upgraded.

History

#1 - 2022-08-03 03:43 PM - bill-auger
- Assignee set to bill-auger

- Status changed from unconfirmed to in progress
- Subject changed from 2022-08-01 the "andreas@grapentin.org" key expired. The "openrc” package is not installed. to signature from "Andreas
Grapentin <andreas@grapentin.org>"is unknown trust

the new keyring is being tested now

#2 - 2022-08-04 04:54 PM - bill-auger

- Subject changed from signature from "Andreas Grapentin <andreas@grapentin.org>" is unknown trust to [openrc]: signature from "Andreas
Grapentin <andreas@grapentin.org>" is unknown trust

#3 - 2022-08-08 01:31 PM - bill-auger

- Status changed from in progress to fixed

this has been a recurring problem - i believe that pacman 6.0.1-4.parabola3 finally addresses it robustly
for anyone with this error now, this is the recommended procedure to get back in sync

$ sudo pacman -Sy pacman

$ sudo pacman -S parabola-keyring
$ sudo pacman -Su
